Bug 244700 - sysutils/fselect: Update to 0.6.9
Summary: sysutils/fselect: Update to 0.6.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://github.com/jhspetersson/fsele...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-09 21:13 UTC by Lewis Cook
Modified: 2020-03-13 04:08 UTC (History)
1 user (show)

See Also:


Attachments
fselect-0.6.9.diff (24.82 KB, patch)
2020-03-09 21:13 UTC, Lewis Cook
lcook: maintainer-approval+
Details | Diff
fselect-0.6.9.log (107.88 KB, text/plain)
2020-03-09 21:14 UTC, Lewis Cook
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lewis Cook freebsd_committer freebsd_triage 2020-03-09 21:13:55 UTC
Created attachment 212288 [details]
fselect-0.6.9.diff

Changes:
	* Bump DISTVERSION to 0.6.9, update distinfo and CARGO_CRATES
	  dependency list.

Testing:
	* No errors reported with portlint, built in Poudriere and
	  application works as expected (logs attached).
Comment 1 Lewis Cook freebsd_committer freebsd_triage 2020-03-09 21:14:36 UTC
Created attachment 212289 [details]
fselect-0.6.9.log

* Poudriere build log.
Comment 2 commit-hook freebsd_committer 2020-03-12 17:29:22 UTC
A commit references this bug:

Author: fernape
Date: Thu Mar 12 17:28:18 UTC 2020
New revision: 528299
URL: https://svnweb.freebsd.org/changeset/ports/528299

Log:
  sysutils/fselect: update to 0.6.9

  ChangeLog: https://github.com/jhspetersson/fselect/releases/tag/0.6.9

  * added SUBSTRING or SUBSTR function
  * added LEN as a synonym for LENGTH function
  * extract EXIF data from HEIF files
  * added device, inode, blocks, and hardlinks fields (Linux only)
  * bugfixes

  PR:	244700
  Submitted by:	vulcan@wired.sh (maintainer)

Changes:
  head/sysutils/fselect/Makefile
  head/sysutils/fselect/distinfo
Comment 3 Fernando Apesteguía freebsd_committer 2020-03-12 17:29:52 UTC
Committed,

Thanks!
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-13 04:08:05 UTC
^Triage: Assign to committer that resolved